### Constructor

# FwupdPlugin DeviceEvent new

#### Declaration [src]

    FuDeviceEvent*
    fu_device_event_new (
      const gchar* id
    )

#### Description

No description available.

Available since: | 2.0.0

#### Parameters

`id` | `const gchar*`
| A cache key, which is converted to a truncated SHA1 hash if required.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FuDeviceEvent`
| A new `FuDeviceEvent` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.